"use strict";

// src/test.lambda.ts
var import_client_sfn = require("@aws-sdk/client-sfn");
var sfn = new import_client_sfn.SFNClient();
exports.handler = async function(input) {
  if (input.RequestType == "Create" || input.RequestType == "Update") {
    const exec = await sfn.send(new import_client_sfn.StartExecutionCommand({ stateMachineArn: input.ResourceProperties.StepFunctionArn }));
    return { PhysicalResourceId: exec.executionArn };
  }
  return { PhysicalResourceId: input.PhysicalResourceId };
};
